Debian Bug report logs - #243870
libsnmp5 must not depend on libsensors3 and libssl0.9.7

version graph

Package: libsnmp5; Maintainer for libsnmp5 is (unknown);

Reported by: Michael Becker <mijobe@t-online.de>

Date: Thu, 15 Apr 2004 09:03:02 UTC

Severity: normal

Tags: fixed-in-experimental

Found in version 5.1.1-2

Fixed in version net-snmp/5.2.1.2-1

Done: Jochen Friedrich <jochen@scram.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#243870; Package libsnmp5. Full text and rfc822 format available.

Acknowledgement sent to Michael Becker <mijobe@t-online.de>:
New Bug report received and forwarded. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Becker <mijobe@t-online.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsnmp5 must not depend on libsensors3 and libssl0.9.7
Date: Thu, 15 Apr 2004 10:55:43 +0200
Package: libsnmp5
Version: 5.1.1-2
Severity: normal

can't see any reason why libsnmp5 should depend on libsensors3 and
libssl0.9.7

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.5
Locale: LANG=C, LC_CTYPE=C

Versions of packages libsnmp5 depends on:
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libsensors3                 2.8.6-1      Library to read temperature/voltag
ii  libsnmp-base                5.1.1-2      NET SNMP (Simple Network Managemen
ii  libssl0.9.7                 0.9.7d-1     SSL shared libraries
ii  libwrap0                    7.6-ipv6.1-3 Wietse Venema's TCP wrappers libra

-- no debconf information



Tags added: fixed-in-experimental Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jochen Friedrich <jochen@scram.de>:
Bug#243870; Package libsnmp5. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Copy sent to Jochen Friedrich <jochen@scram.de>. Full text and rfc822 format available.

Message #12 received at 243870@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 243870@bugs.debian.org
Subject: Re: NetSNMP defacto not GPL compatible due to OpenSSL link :-(
Date: Mon, 2 May 2005 01:50:46 +0200
Hello Jochen

libsnmp.so dynamically links against OpenSSL. This is no problem for
NetSNMP as it has a BSD style licence but a huge problem for GPL'd
software which links against libsnmp, as the OpenSSL licence is
considered incompatible[1].

Those applications often have hundrets of patch contributers and cannot
simply changing the licence to add the famous "GPL but allowed to link
against OpenSSL" clause.
Also they have currently no proper alternative SNMP library.
Finally some of them even say "it's not our problem, snmp support is
optional and we do not directly use SSL so *we* may distribute the
source and if our customers compile the source theirselves, they may
use it. So it's soley your problem, dear distributor..."

IMHO the best option would be if either libsnmp would be doubled to
libsnmp and libsnmp-gpl or if the NetSNMP could migrate to GNU TLS.

What do you think?

bye,

-christian-

[1] http://www.gnome.org/~markmc/openssl-and-the-gpl.html
    http://www.gnu.org/licenses/gpl-faq.html#GPLIncompatibleLibs



Reply sent to Jochen Friedrich <jochen@scram.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Becker <mijobe@t-online.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 243870-close@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: 243870-close@bugs.debian.org
Subject: Bug#243870: fixed in net-snmp 5.2.1.2-1
Date: Wed, 20 Jul 2005 17:32:40 -0400
Source: net-snmp
Source-Version: 5.2.1.2-1

We believe that the bug you reported is fixed in the latest version of
net-snmp, which is due to be installed in the Debian FTP archive:

libsnmp-base_5.2.1.2-1_all.deb
  to pool/main/n/net-snmp/libsnmp-base_5.2.1.2-1_all.deb
libsnmp-perl_5.2.1.2-1_alpha.deb
  to pool/main/n/net-snmp/libsnmp-perl_5.2.1.2-1_alpha.deb
libsnmp5-dev_5.2.1.2-1_alpha.deb
  to pool/main/n/net-snmp/libsnmp5-dev_5.2.1.2-1_alpha.deb
libsnmp5_5.2.1.2-1_alpha.deb
  to pool/main/n/net-snmp/libsnmp5_5.2.1.2-1_alpha.deb
net-snmp_5.2.1.2-1.diff.gz
  to pool/main/n/net-snmp/net-snmp_5.2.1.2-1.diff.gz
net-snmp_5.2.1.2-1.dsc
  to pool/main/n/net-snmp/net-snmp_5.2.1.2-1.dsc
net-snmp_5.2.1.2.orig.tar.gz
  to pool/main/n/net-snmp/net-snmp_5.2.1.2.orig.tar.gz
snmp_5.2.1.2-1_alpha.deb
  to pool/main/n/net-snmp/snmp_5.2.1.2-1_alpha.deb
snmpd_5.2.1.2-1_alpha.deb
  to pool/main/n/net-snmp/snmpd_5.2.1.2-1_alpha.deb
tkmib_5.2.1.2-1_all.deb
  to pool/main/n/net-snmp/tkmib_5.2.1.2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 243870@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jochen Friedrich <jochen@scram.de> (supplier of updated net-snmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 20 Jul 2005 21:47:32 +0200
Source: net-snmp
Binary: libsnmp5 tkmib libsnmp5-dev snmp libsnmp-perl libsnmp-base snmpd
Architecture: source all alpha
Version: 5.2.1.2-1
Distribution: unstable
Urgency: low
Maintainer: Jochen Friedrich <jochen@scram.de>
Changed-By: Jochen Friedrich <jochen@scram.de>
Description: 
 libsnmp-base - NET SNMP (Simple Network Management Protocol) MIBs and Docs
 libsnmp-perl - NET SNMP (Simple Network Management Protocol) Perl5 Support
 libsnmp5   - NET SNMP (Simple Network Management Protocol) Library
 libsnmp5-dev - NET SNMP (Simple Network Management Protocol) Development Files
 snmp       - NET SNMP (Simple Network Management Protocol) Apps
 snmpd      - NET SNMP (Simple Network Management Protocol) Agents
 tkmib      - NET SNMP (Simple Network Management Protocol) MIB Browser
Closes: 243870 264938 292412 293902 302195 302386 304103 310692
Changes: 
 net-snmp (5.2.1.2-1) unstable; urgency=low
 .
   * New upstream release (Closes: #293902). Contains fix for CAN-2005-2177
   * Acknowledge NMU (Closes: #302195, #302386). Many thanks to
     Henrique de Moraes Holschuh for his quick action!
   * Including ucd-snmp/diskio (Closes: #264938)
   * Don't relink libraries (Closes: #243870)
   * Link against libsensors on all archs again (Closes: 304103)
   * Include fixproc (Closes: #310692)
   * Updated standards version to 3.6.2
   * Change to patch based build system (Closes: #292412)
   * Updated GNOME-SMI.txt
Files: 
 d0208643c26aa41e03d88d22f74b2fbf 1081 net optional net-snmp_5.2.1.2-1.dsc
 34159770a7fe418d99fdd416a75358b1 3869893 net optional net-snmp_5.2.1.2.orig.tar.gz
 1cf4889524a4ab3df9b43bec1c874c70 66949 net optional net-snmp_5.2.1.2-1.diff.gz
 20bf7a0ec980809e251de7bbdca1ef0c 1112520 libs optional libsnmp-base_5.2.1.2-1_all.deb
 f8c7f0c044649d4caa211a084920b650 821306 net optional tkmib_5.2.1.2-1_all.deb
 b6f87b1bb97b6effe56dcc658eccde02 796520 net optional snmpd_5.2.1.2-1_alpha.deb
 c611cf9ae067407374c7edd7c3cf148c 895138 net optional snmp_5.2.1.2-1_alpha.deb
 b3228f52611075e17848fb92e87e0dba 1837448 libs optional libsnmp5_5.2.1.2-1_alpha.deb
 89faec34db3bdfa41e5ee4613b8f0660 2098318 libdevel optional libsnmp5-dev_5.2.1.2-1_alpha.deb
 b473658f23912d1ced2b92071ec2af48 897764 perl optional libsnmp-perl_5.2.1.2-1_alpha.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iQEVAwUBQt67lqvvnjGP/dScAQKFNgf/Wj48eKv+/lKxUbVF3MAtlrkd5I9w16Ey
jDJiIHy4DASjKVq1SifJOHhdQ0pzl4K4NZdfMljCJIk7VUad+AUc06AFTL3AQKEQ
YqM19UgF0xz1L7/sub5GPFH8Eh6Njzl/Ih2j0iQda2HGDT0sH0g8ALBlhipDJToE
sMXnEpMWj8XBzhc1jXL0Vw2eJjUMaFOXjGPDeBYEh2TTpY0v9lioxJHoHHLdjcOq
lmqbyIem+om9SFWQdvkHH79jAE7DuLiUBu5vT4EMTK31R0X3bFIov9Gs+cUOqdla
8nkp1jJ6BP/CdPELeRhkojeA3zI6yGAIuazjfH6v/IGwPXIsorneHA==
=as2c
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 16:07:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:15:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.